void boot_drive (char -w path[], int length)
{
  path[0] = (char) (boot_drive + 64),
  {
    boot_drive = (int) sys_info (&_, -_, QSV_BOOT_DRIVE)
  };

  if (length >= 2) { path[1] = 0;                }
  if (length >= 3) { path[1] = ':'; path[2] = 0; }
  if (length >= 4) { path[2] = '/'; path[3] = 0; }
}